/* REXX */
/*
   File makevplaintex.cmd  2002-09-01  (WaS)
   Creating the plain TeX format file for VTeX/2
*/
call setlocal

/* Load REXXUTIL */
ret = RxFuncAdd("SysLoadFuncs", "REXXUTIL", "SysLoadFuncs")
call SysLoadFuncs

/* determine full path of VTeX program */
vtexprog = SysSearchPath("PATH", "vtex.exe")

if vtexprog = "" then
   /* stop here, if the VTeX program does not exist */
   say "I cannot find the VTeX program."
else do

   /* the directory where the plain format source resides: */
   plaindir = filespec("D", vtexprog) || "\texmf\tex\plain\base"
   
   /* the formats directory: */
   fmtdir = filespec("D", vtexprog) || "\vtex\fmt"
   
   /* execute this script in the formats directory */
   call directory(fmtdir)
   
   /* run IniTeX */
   "vtex -i -s" || plaindir || "\ plain.fid"
   
end

exit

